System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.WebControl System.Web.UI.IPostBackEventHandler System.Web.UI.SupportsEventValidation System.Web.UI.ControlValueProperty("SelectedDate", "1/1/0001 12:00:00 AM") System.ComponentModel.Designer("System.Web.UI.Design.WebControls.CalendarDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.DefaultProperty("SelectedDate") System.ComponentModel.DefaultEvent("SelectionChanged") System.Web.UI.DataBindingHandler("System.Web.UI.Design.WebControls.CalendarDataBindingHandler, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") Creates a calendar object that can be used in a web page. This is how the calendar can be created and how to setup all styles as css class so yu can finetune the feel and look of the calendar. `<asp:Calendar runat="server" BorderStyle="double" BorderColor="#E7E5DB" BorderWidth="2" BackColor="#F8F7F4" Font--Size=".9em" Font--Names="Verdana" class="TableThin"> <TodayDayStyle cssclass="calendar_today" /> <OtherMonthDayStyle cssclass="calendar_other"/> <SelectedDayStyle cssclass="calendar_selected" /> <TitleStyle cssclass="calendar_title" /> <NextPrevStyle cssclass="calendar_pager" /> <DayStyle cssclass="calendar_day" /> <SelectorStyle cssclass="calendar_selector"/> <WeekendDayStyle cssclass="calendar_weekend"/> <DayHeaderStyle cssclass="calendar_dayheader"/> </asp:Calendar>`
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue("")
  System.ComponentModel.Localizable(true)
  System.String To be added. To be added. To be added.
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Web.UI.WebControls.TableCaptionAlign.NotSet)
  System.Web.UI.WebControls.TableCaptionAlign To be added. To be added. To be added.
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(2)
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(0)
- Method
  System.Web.UI.ControlCollection To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content) System.ComponentModel.NotifyParentProperty(true) System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty)
- Property
  System.Web.UI.WebControls.DayNameFormat To be added To be added: an object of type 'DayNameFormat' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(System.Web.UI.WebControls.DayNameFormat.Short)
- Event
  System.Web.UI.WebControls.DayRenderEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content) System.ComponentModel.DefaultValue(null)
- Property
  System.Web.UI.WebControls.FirstDayOfWeek To be added To be added: an object of type 'FirstDayOfWeek' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(System.Web.UI.WebControls.FirstDayOfWeek.Default)
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Localizable(true) System.ComponentModel.DefaultValue("&gt;")
- Property
  System.Web.UI.WebControls.NextPrevFormat To be added To be added: an object of type 'NextPrevFormat' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(System.Web.UI.WebControls.NextPrevFormat.CustomText)
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Method
  System.Void `` `` To be added: an object of type 'TableCell' To be added: an object of type 'CalendarDay' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a To be added. To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DefaultValue(null)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Localizable(true) System.ComponentModel.DefaultValue("&lt;")
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue("1/1/0001 12:00:00 AM") System.ComponentModel.Bindable(true, System.ComponentModel.BindingDirection.TwoWay)
- Property
  System.Web.UI.WebControls.SelectedDatesCollection To be added To be added: an object of type 'SelectedDatesCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content) System.ComponentModel.DefaultValue(null)
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.CalendarSelectionMode To be added To be added: an object of type 'CalendarSelectionMode' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(System.Web.UI.WebControls.CalendarSelectionMode.Day)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Localizable(true) System.ComponentModel.DefaultValue("&gt;&gt;")
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Localizable(true) System.ComponentModel.DefaultValue("&gt;")
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(true)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(false)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(true)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(true)
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  System.Web.UI.WebControls.TitleFormat To be added To be added: an object of type 'TitleFormat' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(System.Web.UI.WebControls.TitleFormat.MonthYear)
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content) System.ComponentModel.DefaultValue(null)
- Property
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue(true)
  System.Boolean To be added. To be added. To be added.
- Property
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue("1/1/0001 12:00:00 AM") System.ComponentModel.Bindable(true)
- Event
  System.Web.UI.WebControls.MonthChangedEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)